<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::avsCommon::utils::logger Namespace Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common.html">avsCommon</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils.html">utils</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html">logger</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a> &#124;
<a href="#nested-classes">Classes</a> &#124;
<a href="#enum-members">Enumerations</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::avsCommon::utils::logger Namespace Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test.html">test</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_console_logger.html">ConsoleLogger</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">LogEntry</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html" title="LogEntry is used to compile the log entry text to log via Logger. ">LogEntry</a> is used to compile the log entry text to log via <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger.html">Logger</a>.  <a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry_buffer.html">LogEntryBuffer</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry_stream.html">LogEntryStream</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger.html">Logger</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger_sink_manager.html">LoggerSinkManager</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_level_observer_interface.html">LogLevelObserverInterface</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_string_formatter.html">LogStringFormatter</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_module_logger.html">ModuleLogger</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_sink_observer_interface.html">SinkObserverInterface</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_thread_moniker.html">ThreadMoniker</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:a4707ccb25a60922c47a5d8ee257b85e6"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a4707ccb25a60922c47a5d8ee257b85e6">Level</a> { <br />
&#160;&#160;<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a4707ccb25a60922c47a5d8ee257b85e6a8837dd9cc8da1659a1e8501909756e51">Level::DEBUG9</a>, 
<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a4707ccb25a60922c47a5d8ee257b85e6a3ebb24d8c4005bb27635ac0cbe10c6c3">Level::DEBUG8</a>, 
<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a4707ccb25a60922c47a5d8ee257b85e6a45c5db4c0d35e851fe082b50d5893953">Level::DEBUG7</a>, 
<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a4707ccb25a60922c47a5d8ee257b85e6acefa9be37ed6c873dc6c07e0fe31067d">Level::DEBUG6</a>, 
<br />
&#160;&#160;<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a4707ccb25a60922c47a5d8ee257b85e6a13c48142f1c3c8018a853f8e798174d0">Level::DEBUG5</a>, 
<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a4707ccb25a60922c47a5d8ee257b85e6ad49737ac772ff453f1340643d60ab904">Level::DEBUG4</a>, 
<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a4707ccb25a60922c47a5d8ee257b85e6af1c09add474f7ab70a36e7a9570b148b">Level::DEBUG3</a>, 
<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a4707ccb25a60922c47a5d8ee257b85e6a75c530df858253db4ee51268b47c875d">Level::DEBUG2</a>, 
<br />
&#160;&#160;<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a4707ccb25a60922c47a5d8ee257b85e6a4a22284361f9f7c522f0c0fcca9a1d04">Level::DEBUG1</a>, 
<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a4707ccb25a60922c47a5d8ee257b85e6aa816eaa5724b9b805c32442781711fdc">Level::DEBUG0</a>, 
<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a4707ccb25a60922c47a5d8ee257b85e6a551b723eafd6a31d444fcb2f5920fbd3">Level::INFO</a>, 
<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a4707ccb25a60922c47a5d8ee257b85e6a32bd8a1db2275458673903bdb84cb277">Level::WARN</a>, 
<br />
&#160;&#160;<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a4707ccb25a60922c47a5d8ee257b85e6abb1ca97ec761fc37101737ba0aa2e7c5">Level::ERROR</a>, 
<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a4707ccb25a60922c47a5d8ee257b85e6a99cd1c61610c76a57cb8d10d6df6b870">Level::CRITICAL</a>, 
<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a4707ccb25a60922c47a5d8ee257b85e6ab50339a10e1de285ac99d4c3990b8693">Level::NONE</a>, 
<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a4707ccb25a60922c47a5d8ee257b85e6a696b031073e74bf2cb98e5ef201d4aa3">Level::UNKNOWN</a>
<br />
 }</td></tr>
<tr class="separator:a4707ccb25a60922c47a5d8ee257b85e6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a933554cee22d9ea1d94efd3d865a599e"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger.html">Logger</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a933554cee22d9ea1d94efd3d865a599e">getConsoleLogger</a> ()</td></tr>
<tr class="separator:a933554cee22d9ea1d94efd3d865a599e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a006fc7a551ca7b09270b5d3f34c7f1cc"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a006fc7a551ca7b09270b5d3f34c7f1cc">convertLevelToName</a> (<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a4707ccb25a60922c47a5d8ee257b85e6">Level</a> level)</td></tr>
<tr class="separator:a006fc7a551ca7b09270b5d3f34c7f1cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa79070c5f17a01b878ef1c61b5a71476"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#aa79070c5f17a01b878ef1c61b5a71476">convertLevelToChar</a> (<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a4707ccb25a60922c47a5d8ee257b85e6">Level</a> level)</td></tr>
<tr class="separator:aa79070c5f17a01b878ef1c61b5a71476"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a03c8a4abd0a4df30eb75029788eda840"><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a4707ccb25a60922c47a5d8ee257b85e6">Level</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a03c8a4abd0a4df30eb75029788eda840">convertNameToLevel</a> (const std::string &amp;name)</td></tr>
<tr class="separator:a03c8a4abd0a4df30eb75029788eda840"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aad0674cce8aff8a1a5ee6f7cfebbbd5c"><td class="memItemLeft" align="right" valign="top">std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#aad0674cce8aff8a1a5ee6f7cfebbbd5c">operator&lt;&lt;</a> (std::ostream &amp;stream, <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a4707ccb25a60922c47a5d8ee257b85e6">Level</a> level)</td></tr>
<tr class="separator:aad0674cce8aff8a1a5ee6f7cfebbbd5c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ada0657f974207d172dbd460967bc1d0d"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger.html">Logger</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#ada0657f974207d172dbd460967bc1d0d">ACSDK_GET_SINK_LOGGER</a> ()</td></tr>
<tr class="separator:ada0657f974207d172dbd460967bc1d0d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8ce242645803838bd3900d45974565d6"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger.html">Logger</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a8ce242645803838bd3900d45974565d6">ACSDK_GET_LOGGER_FUNCTION</a> ()</td></tr>
<tr class="separator:a8ce242645803838bd3900d45974565d6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a73898128718e3f94ebc23442131c3491"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a73898128718e3f94ebc23442131c3491">acsdkDebug9</a> (const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">LogEntry</a> &amp;entry)</td></tr>
<tr class="separator:a73898128718e3f94ebc23442131c3491"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3d1d4c950f2579bbd1ece4018b799591"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a3d1d4c950f2579bbd1ece4018b799591">acsdkDebug8</a> (const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">LogEntry</a> &amp;entry)</td></tr>
<tr class="separator:a3d1d4c950f2579bbd1ece4018b799591"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a540973d2fb23d4842a2907db342a88f1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a540973d2fb23d4842a2907db342a88f1">acsdkDebug7</a> (const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">LogEntry</a> &amp;entry)</td></tr>
<tr class="separator:a540973d2fb23d4842a2907db342a88f1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3250f525c7a122af099939b4847254aa"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a3250f525c7a122af099939b4847254aa">acsdkDebug6</a> (const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">LogEntry</a> &amp;entry)</td></tr>
<tr class="separator:a3250f525c7a122af099939b4847254aa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a86b4eb37d5ac51f4627b8ff58e43c905"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a86b4eb37d5ac51f4627b8ff58e43c905">acsdkDebug5</a> (const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">LogEntry</a> &amp;entry)</td></tr>
<tr class="separator:a86b4eb37d5ac51f4627b8ff58e43c905"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7b4d4a2c320ebaaa0db09be5d036fb1c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a7b4d4a2c320ebaaa0db09be5d036fb1c">acsdkDebug4</a> (const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">LogEntry</a> &amp;entry)</td></tr>
<tr class="separator:a7b4d4a2c320ebaaa0db09be5d036fb1c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaffe8a89f725669c2a35a30db4ab3ac5"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#aaffe8a89f725669c2a35a30db4ab3ac5">acsdkDebug3</a> (const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">LogEntry</a> &amp;entry)</td></tr>
<tr class="separator:aaffe8a89f725669c2a35a30db4ab3ac5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a770a62935e8cb27de9f3b83c80fd12e0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a770a62935e8cb27de9f3b83c80fd12e0">acsdkDebug2</a> (const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">LogEntry</a> &amp;entry)</td></tr>
<tr class="separator:a770a62935e8cb27de9f3b83c80fd12e0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3677bc7de5388e8dc9ea72f15ea846bf"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a3677bc7de5388e8dc9ea72f15ea846bf">acsdkDebug1</a> (const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">LogEntry</a> &amp;entry)</td></tr>
<tr class="separator:a3677bc7de5388e8dc9ea72f15ea846bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a96dabc5a5f22fcf75384e554d5ce83c6"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a96dabc5a5f22fcf75384e554d5ce83c6">acsdkDebug0</a> (const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">LogEntry</a> &amp;entry)</td></tr>
<tr class="separator:a96dabc5a5f22fcf75384e554d5ce83c6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9fec9fe332755ee16641eb0aa56f943b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a9fec9fe332755ee16641eb0aa56f943b">acsdkDebug</a> (const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">LogEntry</a> &amp;entry)</td></tr>
<tr class="separator:a9fec9fe332755ee16641eb0aa56f943b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa53594353007d683130cc7f81598378"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#aaa53594353007d683130cc7f81598378">acsdkInfo</a> (const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">LogEntry</a> &amp;entry)</td></tr>
<tr class="separator:aaa53594353007d683130cc7f81598378"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee1d479f8ea734cc62d98306993ccf8a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#aee1d479f8ea734cc62d98306993ccf8a">acsdkWarn</a> (const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">LogEntry</a> &amp;entry)</td></tr>
<tr class="separator:aee1d479f8ea734cc62d98306993ccf8a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2a506c9c75542fad6d29643e3e3cf55d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a2a506c9c75542fad6d29643e3e3cf55d">acsdkError</a> (const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">LogEntry</a> &amp;entry)</td></tr>
<tr class="separator:a2a506c9c75542fad6d29643e3e3cf55d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a73148d2591a1f326da51b65d6b02c8ac"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a73148d2591a1f326da51b65d6b02c8ac">acsdkCritical</a> (const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">LogEntry</a> &amp;entry)</td></tr>
<tr class="separator:a73148d2591a1f326da51b65d6b02c8ac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a16a7d59de6eaa9fd4b9a7d8633249e8d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a16a7d59de6eaa9fd4b9a7d8633249e8d">logEntry</a> (<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a4707ccb25a60922c47a5d8ee257b85e6">Level</a> level, const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">LogEntry</a> &amp;entry)</td></tr>
<tr class="separator:a16a7d59de6eaa9fd4b9a7d8633249e8d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a07622bd1de5d084d735c32e22e8d3553"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a07622bd1de5d084d735c32e22e8d3553">dumpBytesToStream</a> (std::ostream &amp;stream, const char *prefix, size_t width, const unsigned char *data, size_t size)</td></tr>
<tr class="separator:a07622bd1de5d084d735c32e22e8d3553"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af34f56d312bbcf854b8ef8d86e6fda4c"><td class="memItemLeft" align="right" valign="top">static std::atomic&lt; int &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#af34f56d312bbcf854b8ef8d86e6fda4c">g_nextThreadMoniker</a> (1)</td></tr>
<tr class="memdesc:af34f56d312bbcf854b8ef8d86e6fda4c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Counter to generate (small) unique thread monikers.  <a href="#af34f56d312bbcf854b8ef8d86e6fda4c">More...</a><br /></td></tr>
<tr class="separator:af34f56d312bbcf854b8ef8d86e6fda4c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aff8a06435a2e9298a076bf10edbe34e2"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger.html">Logger</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#aff8a06435a2e9298a076bf10edbe34e2">getLoggerTestLogger</a> ()</td></tr>
<tr class="separator:aff8a06435a2e9298a076bf10edbe34e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:aa29b8f5b119099369b2bed7dbb77c0a3"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#aa29b8f5b119099369b2bed7dbb77c0a3">CONFIG_KEY_DEFAULT_LOGGER</a> = &quot;consoleLogger&quot;</td></tr>
<tr class="memdesc:aa29b8f5b119099369b2bed7dbb77c0a3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Configuration key for DefaultLogger settings.  <a href="#aa29b8f5b119099369b2bed7dbb77c0a3">More...</a><br /></td></tr>
<tr class="separator:aa29b8f5b119099369b2bed7dbb77c0a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9426f0400ec1550d40bd48d79d37aa98"><td class="memItemLeft" align="right" valign="top">static const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a9426f0400ec1550d40bd48d79d37aa98">RESERVED_METADATA_CHARS</a> = R&quot;(\,=:)&quot;</td></tr>
<tr class="memdesc:a9426f0400ec1550d40bd48d79d37aa98"><td class="mdescLeft">&#160;</td><td class="mdescRight">List of characters we need to escape.  <a href="#a9426f0400ec1550d40bd48d79d37aa98">More...</a><br /></td></tr>
<tr class="separator:a9426f0400ec1550d40bd48d79d37aa98"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9721e2fd9d419336a1d7566ca4b25137"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a9721e2fd9d419336a1d7566ca4b25137">ESCAPED_METADATA_ESCAPE</a> = R&quot;(\\)&quot;</td></tr>
<tr class="memdesc:a9721e2fd9d419336a1d7566ca4b25137"><td class="mdescLeft">&#160;</td><td class="mdescRight">Escape sequence for ''.  <a href="#a9721e2fd9d419336a1d7566ca4b25137">More...</a><br /></td></tr>
<tr class="separator:a9721e2fd9d419336a1d7566ca4b25137"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeb74d69e1c8e0825b4bf67fef283c29b"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#aeb74d69e1c8e0825b4bf67fef283c29b">ESCAPED_PAIR_SEPARATOR</a> = R&quot;(\,)&quot;</td></tr>
<tr class="memdesc:aeb74d69e1c8e0825b4bf67fef283c29b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Escape sequence for ','.  <a href="#aeb74d69e1c8e0825b4bf67fef283c29b">More...</a><br /></td></tr>
<tr class="separator:aeb74d69e1c8e0825b4bf67fef283c29b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a44ab6b747e781f59fc7190577622ed80"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a44ab6b747e781f59fc7190577622ed80">ESCAPED_SECTION_SEPARATOR</a> = R&quot;(\:)&quot;</td></tr>
<tr class="memdesc:a44ab6b747e781f59fc7190577622ed80"><td class="mdescLeft">&#160;</td><td class="mdescRight">Escape sequence for ':'.  <a href="#a44ab6b747e781f59fc7190577622ed80">More...</a><br /></td></tr>
<tr class="separator:a44ab6b747e781f59fc7190577622ed80"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aad3da4366cc0a2dca918c9cec158827f"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#aad3da4366cc0a2dca918c9cec158827f">ESCAPED_KEY_VALUE_SEPARATOR</a> = R&quot;(\=)&quot;</td></tr>
<tr class="memdesc:aad3da4366cc0a2dca918c9cec158827f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Escape sequence for '='.  <a href="#aad3da4366cc0a2dca918c9cec158827f">More...</a><br /></td></tr>
<tr class="separator:aad3da4366cc0a2dca918c9cec158827f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ace3940d4518256e01b33616572de22c6"><td class="memItemLeft" align="right" valign="top">static const char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#ace3940d4518256e01b33616572de22c6">METADATA_ESCAPE</a> = '\\'</td></tr>
<tr class="memdesc:ace3940d4518256e01b33616572de22c6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved in metadata sequences for escaping other reserved values.  <a href="#ace3940d4518256e01b33616572de22c6">More...</a><br /></td></tr>
<tr class="separator:ace3940d4518256e01b33616572de22c6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9e85ce218ae5d908737f346c20736495"><td class="memItemLeft" align="right" valign="top">static const char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a9e85ce218ae5d908737f346c20736495">PAIR_SEPARATOR</a> = ','</td></tr>
<tr class="memdesc:a9e85ce218ae5d908737f346c20736495"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved in metadata sequences to separate key,value pairs.  <a href="#a9e85ce218ae5d908737f346c20736495">More...</a><br /></td></tr>
<tr class="separator:a9e85ce218ae5d908737f346c20736495"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a223cc849b1341138258c864141f80917"><td class="memItemLeft" align="right" valign="top">static const char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a223cc849b1341138258c864141f80917">SECTION_SEPARATOR</a> = ':'</td></tr>
<tr class="memdesc:a223cc849b1341138258c864141f80917"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved in metadata sequences to separate them from a preceding event and an optional terminal message.  <a href="#a223cc849b1341138258c864141f80917">More...</a><br /></td></tr>
<tr class="separator:a223cc849b1341138258c864141f80917"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8e76750e3e32e24bce7337d8586f6b35"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a8e76750e3e32e24bce7337d8586f6b35">BOOL_TRUE</a> = &quot;true&quot;</td></tr>
<tr class="memdesc:a8e76750e3e32e24bce7337d8586f6b35"><td class="mdescLeft">&#160;</td><td class="mdescRight">String for boolean TRUE.  <a href="#a8e76750e3e32e24bce7337d8586f6b35">More...</a><br /></td></tr>
<tr class="separator:a8e76750e3e32e24bce7337d8586f6b35"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9f4cd8188daa390e20b97a9bbd220073"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a9f4cd8188daa390e20b97a9bbd220073">BOOL_FALSE</a> = &quot;false&quot;</td></tr>
<tr class="memdesc:a9f4cd8188daa390e20b97a9bbd220073"><td class="mdescLeft">&#160;</td><td class="mdescRight">String for boolean FALSE.  <a href="#a9f4cd8188daa390e20b97a9bbd220073">More...</a><br /></td></tr>
<tr class="separator:a9f4cd8188daa390e20b97a9bbd220073"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abc409c47d7609b63fafb111e728a72e8"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#abc409c47d7609b63fafb111e728a72e8">CONFIG_KEY_LOGGER</a> = &quot;logger&quot;</td></tr>
<tr class="memdesc:abc409c47d7609b63fafb111e728a72e8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Configuration key for root level "logger" object.  <a href="#abc409c47d7609b63fafb111e728a72e8">More...</a><br /></td></tr>
<tr class="separator:abc409c47d7609b63fafb111e728a72e8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a78f4d400ff0ba6033040752e194db761"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a78f4d400ff0ba6033040752e194db761">CONFIG_KEY_LOG_LEVEL</a> = &quot;logLevel&quot;</td></tr>
<tr class="memdesc:a78f4d400ff0ba6033040752e194db761"><td class="mdescLeft">&#160;</td><td class="mdescRight">Configuration key for "logLevel" values under "logger" and other per-module objects.  <a href="#a78f4d400ff0ba6033040752e194db761">More...</a><br /></td></tr>
<tr class="separator:a78f4d400ff0ba6033040752e194db761"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8ce46f7e3d75d191807a3ef76b75dabe"><td class="memItemLeft" align="right" valign="top">static constexpr auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a8ce46f7e3d75d191807a3ef76b75dabe">AT_EXIT_THREAD_ID</a> = &quot;0&quot;</td></tr>
<tr class="separator:a8ce46f7e3d75d191807a3ef76b75dabe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8ccb96589a77487e6befd8debd01761f"><td class="memItemLeft" align="right" valign="top">static const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a8ccb96589a77487e6befd8debd01761f">STRFTIME_FORMAT_STRING</a> = &quot;%Y-%m-%d %H:%M:%S&quot;</td></tr>
<tr class="memdesc:a8ccb96589a77487e6befd8debd01761f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Format string for strftime() to produce date and time in the format "YYYY-MM-DD HH:MM:SS".  <a href="#a8ccb96589a77487e6befd8debd01761f">More...</a><br /></td></tr>
<tr class="separator:a8ccb96589a77487e6befd8debd01761f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a21947a2f48ca7f66d7412c1ebd93c7af"><td class="memItemLeft" align="right" valign="top">static const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a21947a2f48ca7f66d7412c1ebd93c7af">DATE_AND_TIME_STRING_SIZE</a> = 20</td></tr>
<tr class="memdesc:a21947a2f48ca7f66d7412c1ebd93c7af"><td class="mdescLeft">&#160;</td><td class="mdescRight">Size of buffer needed to hold "YYYY-MM-DD HH:MM:SS" and a null terminator.  <a href="#a21947a2f48ca7f66d7412c1ebd93c7af">More...</a><br /></td></tr>
<tr class="separator:a21947a2f48ca7f66d7412c1ebd93c7af"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9c6335f77506eca3a58e6c08af63b524"><td class="memItemLeft" align="right" valign="top">static const char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a9c6335f77506eca3a58e6c08af63b524">TIME_AND_MILLIS_SEPARATOR</a> = '.'</td></tr>
<tr class="memdesc:a9c6335f77506eca3a58e6c08af63b524"><td class="mdescLeft">&#160;</td><td class="mdescRight">Separator between date/time and millis.  <a href="#a9c6335f77506eca3a58e6c08af63b524">More...</a><br /></td></tr>
<tr class="separator:a9c6335f77506eca3a58e6c08af63b524"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adfb50ea4a64a6f2f90f3d5b861e8ec9a"><td class="memItemLeft" align="right" valign="top">static const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#adfb50ea4a64a6f2f90f3d5b861e8ec9a">MILLIS_FORMAT_STRING</a> = &quot;%03d&quot;</td></tr>
<tr class="separator:adfb50ea4a64a6f2f90f3d5b861e8ec9a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac260a9d46f3d659216636bc10502d279"><td class="memItemLeft" align="right" valign="top">static const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#ac260a9d46f3d659216636bc10502d279">MILLIS_STRING_SIZE</a> = 4</td></tr>
<tr class="memdesc:ac260a9d46f3d659216636bc10502d279"><td class="mdescLeft">&#160;</td><td class="mdescRight">Size of buffer needed to hold "nnn" (milliseconds value) and a null terminator.  <a href="#ac260a9d46f3d659216636bc10502d279">More...</a><br /></td></tr>
<tr class="separator:ac260a9d46f3d659216636bc10502d279"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5e7aa891e6be9030572abfc59c3066a8"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a5e7aa891e6be9030572abfc59c3066a8">MILLIS_AND_THREAD_SEPARATOR</a> = &quot; [&quot;</td></tr>
<tr class="memdesc:a5e7aa891e6be9030572abfc59c3066a8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Separator string between milliseconds value and ExampleLogger name.  <a href="#a5e7aa891e6be9030572abfc59c3066a8">More...</a><br /></td></tr>
<tr class="separator:a5e7aa891e6be9030572abfc59c3066a8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a86721a09a7c917fd5df2e62abec24b3f"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a86721a09a7c917fd5df2e62abec24b3f">THREAD_AND_LEVEL_SEPARATOR</a> = &quot;] &quot;</td></tr>
<tr class="memdesc:a86721a09a7c917fd5df2e62abec24b3f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Separator between thread ID and level indicator in log lines.  <a href="#a86721a09a7c917fd5df2e62abec24b3f">More...</a><br /></td></tr>
<tr class="separator:a86721a09a7c917fd5df2e62abec24b3f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a26bab62dbf76d7c47eac3c67633d1837"><td class="memItemLeft" align="right" valign="top">static const char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a26bab62dbf76d7c47eac3c67633d1837">LEVEL_AND_TEXT_SEPARATOR</a> = ' '</td></tr>
<tr class="memdesc:a26bab62dbf76d7c47eac3c67633d1837"><td class="mdescLeft">&#160;</td><td class="mdescRight">Separator between level indicator and text in log lines.  <a href="#a26bab62dbf76d7c47eac3c67633d1837">More...</a><br /></td></tr>
<tr class="separator:a26bab62dbf76d7c47eac3c67633d1837"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa8e497f6154a61ab043a3f45ba52664c"><td class="memItemLeft" align="right" valign="top">static const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#aa8e497f6154a61ab043a3f45ba52664c">MILLISECONDS_PER_SECOND</a> = 1000</td></tr>
<tr class="memdesc:aa8e497f6154a61ab043a3f45ba52664c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of milliseconds per second.  <a href="#aa8e497f6154a61ab043a3f45ba52664c">More...</a><br /></td></tr>
<tr class="separator:aa8e497f6154a61ab043a3f45ba52664c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Enumeration Type Documentation</h2>
<a id="a4707ccb25a60922c47a5d8ee257b85e6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4707ccb25a60922c47a5d8ee257b85e6">&#9670;&nbsp;</a></span>Level</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a4707ccb25a60922c47a5d8ee257b85e6">alexaClientSDK::avsCommon::utils::logger::Level</a></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">strong</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Enum used to specify the severity assigned to a log message. </p>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a id="a4707ccb25a60922c47a5d8ee257b85e6a8837dd9cc8da1659a1e8501909756e51"></a>DEBUG9&#160;</td><td class="fielddoc"><p class="">Most verbose debug log level. Compiled out when ACSDK_DEBUG_LOG_ENABLED is not defined. </p>
</td></tr>
<tr><td class="fieldname"><a id="a4707ccb25a60922c47a5d8ee257b85e6a3ebb24d8c4005bb27635ac0cbe10c6c3"></a>DEBUG8&#160;</td><td class="fielddoc"><p class="">Intermediate debug log level. Compiled out when ACSDK_DEBUG_LOG_ENABLED is not defined. </p>
</td></tr>
<tr><td class="fieldname"><a id="a4707ccb25a60922c47a5d8ee257b85e6a45c5db4c0d35e851fe082b50d5893953"></a>DEBUG7&#160;</td><td class="fielddoc"><p class="">Intermediate debug log level. Compiled out when ACSDK_DEBUG_LOG_ENABLED is not defined. </p>
</td></tr>
<tr><td class="fieldname"><a id="a4707ccb25a60922c47a5d8ee257b85e6acefa9be37ed6c873dc6c07e0fe31067d"></a>DEBUG6&#160;</td><td class="fielddoc"><p class="">Intermediate debug log level. Compiled out when ACSDK_DEBUG_LOG_ENABLED is not defined. </p>
</td></tr>
<tr><td class="fieldname"><a id="a4707ccb25a60922c47a5d8ee257b85e6a13c48142f1c3c8018a853f8e798174d0"></a>DEBUG5&#160;</td><td class="fielddoc"><p class="">Intermediate debug log level. Compiled out when ACSDK_DEBUG_LOG_ENABLED is not defined. </p>
</td></tr>
<tr><td class="fieldname"><a id="a4707ccb25a60922c47a5d8ee257b85e6ad49737ac772ff453f1340643d60ab904"></a>DEBUG4&#160;</td><td class="fielddoc"><p class="">Intermediate debug log level. Compiled out when ACSDK_DEBUG_LOG_ENABLED is not defined. </p>
</td></tr>
<tr><td class="fieldname"><a id="a4707ccb25a60922c47a5d8ee257b85e6af1c09add474f7ab70a36e7a9570b148b"></a>DEBUG3&#160;</td><td class="fielddoc"><p class="">Intermediate debug log level. Compiled out when ACSDK_DEBUG_LOG_ENABLED is not defined. </p>
</td></tr>
<tr><td class="fieldname"><a id="a4707ccb25a60922c47a5d8ee257b85e6a75c530df858253db4ee51268b47c875d"></a>DEBUG2&#160;</td><td class="fielddoc"><p class="">Intermediate debug log level. Compiled out when ACSDK_DEBUG_LOG_ENABLED is not defined. </p>
</td></tr>
<tr><td class="fieldname"><a id="a4707ccb25a60922c47a5d8ee257b85e6a4a22284361f9f7c522f0c0fcca9a1d04"></a>DEBUG1&#160;</td><td class="fielddoc"><p class="">Intermediate debug log level. Compiled out when ACSDK_DEBUG_LOG_ENABLED is not defined. </p>
</td></tr>
<tr><td class="fieldname"><a id="a4707ccb25a60922c47a5d8ee257b85e6aa816eaa5724b9b805c32442781711fdc"></a>DEBUG0&#160;</td><td class="fielddoc"><p class="">Least verbose debug log level. Compiled out when ACSDK_DEBUG_LOG_ENABLED is not defined. </p>
</td></tr>
<tr><td class="fieldname"><a id="a4707ccb25a60922c47a5d8ee257b85e6a551b723eafd6a31d444fcb2f5920fbd3"></a>INFO&#160;</td><td class="fielddoc"><p class="">Logs of normal operations, to be used in release builds. </p>
</td></tr>
<tr><td class="fieldname"><a id="a4707ccb25a60922c47a5d8ee257b85e6a32bd8a1db2275458673903bdb84cb277"></a>WARN&#160;</td><td class="fielddoc"><p class="">Log of an event that may indicate a problem. </p>
</td></tr>
<tr><td class="fieldname"><a id="a4707ccb25a60922c47a5d8ee257b85e6abb1ca97ec761fc37101737ba0aa2e7c5"></a>ERROR&#160;</td><td class="fielddoc"><p class="">Log of an event that indicates an error. </p>
</td></tr>
<tr><td class="fieldname"><a id="a4707ccb25a60922c47a5d8ee257b85e6a99cd1c61610c76a57cb8d10d6df6b870"></a>CRITICAL&#160;</td><td class="fielddoc"><p class="">Log of a event that indicates an unrecoverable error. </p>
</td></tr>
<tr><td class="fieldname"><a id="a4707ccb25a60922c47a5d8ee257b85e6ab50339a10e1de285ac99d4c3990b8693"></a>NONE&#160;</td><td class="fielddoc"><p class="">Level used to disable all logging. </p>
</td></tr>
<tr><td class="fieldname"><a id="a4707ccb25a60922c47a5d8ee257b85e6a696b031073e74bf2cb98e5ef201d4aa3"></a>UNKNOWN&#160;</td><td class="fielddoc"><p class="">An unknown severity level. </p>
</td></tr>
</table>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="a8ce242645803838bd3900d45974565d6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8ce242645803838bd3900d45974565d6">&#9670;&nbsp;</a></span>ACSDK_GET_LOGGER_FUNCTION()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger.html">Logger</a>&amp; alexaClientSDK::avsCommon::utils::logger::ACSDK_GET_LOGGER_FUNCTION </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Inline method to get the function that ACSDK_&lt;LEVEL&gt; macros will send logs to. In this case <code>ACSDK_LOG_MODULE</code> was not defined, so logs are sent to the <code><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger.html">Logger</a></code> returned by <code>get&lt;ACSDK_LOG_SINK&gt;Logger()</code>. </p>

</div>
</div>
<a id="ada0657f974207d172dbd460967bc1d0d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ada0657f974207d172dbd460967bc1d0d">&#9670;&nbsp;</a></span>ACSDK_GET_SINK_LOGGER()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger.html">Logger</a>&gt; alexaClientSDK::avsCommon::utils::logger::ACSDK_GET_SINK_LOGGER </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Get the <code><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger.html">Logger</a></code> that logs should be sent to.</p>
<dl class="section return"><dt>Returns</dt><dd>The <code><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger.html">Logger</a></code> that logs should be sent to. </dd></dl>

</div>
</div>
<a id="a73148d2591a1f326da51b65d6b02c8ac"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a73148d2591a1f326da51b65d6b02c8ac">&#9670;&nbsp;</a></span>acsdkCritical()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::avsCommon::utils::logger::acsdkCritical </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">LogEntry</a> &amp;&#160;</td>
          <td class="paramname"><em>entry</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Log a <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a4707ccb25a60922c47a5d8ee257b85e6a99cd1c61610c76a57cb8d10d6df6b870" title="Log of a event that indicates an unrecoverable error. ">Level::CRITICAL</a> severity entry.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">entry</td><td>A log entry. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a9fec9fe332755ee16641eb0aa56f943b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9fec9fe332755ee16641eb0aa56f943b">&#9670;&nbsp;</a></span>acsdkDebug()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::avsCommon::utils::logger::acsdkDebug </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">LogEntry</a> &amp;&#160;</td>
          <td class="paramname"><em>entry</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Log a <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a4707ccb25a60922c47a5d8ee257b85e6aa816eaa5724b9b805c32442781711fdc" title="Least verbose debug log level. Compiled out when ACSDK_DEBUG_LOG_ENABLED is not defined. ">LEVEL::DEBUG0</a> severity entry.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">entry</td><td>A log entry. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a96dabc5a5f22fcf75384e554d5ce83c6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a96dabc5a5f22fcf75384e554d5ce83c6">&#9670;&nbsp;</a></span>acsdkDebug0()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::avsCommon::utils::logger::acsdkDebug0 </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">LogEntry</a> &amp;&#160;</td>
          <td class="paramname"><em>entry</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Log a <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a4707ccb25a60922c47a5d8ee257b85e6aa816eaa5724b9b805c32442781711fdc" title="Least verbose debug log level. Compiled out when ACSDK_DEBUG_LOG_ENABLED is not defined. ">LEVEL::DEBUG0</a> severity entry.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">entry</td><td>A log entry. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a3677bc7de5388e8dc9ea72f15ea846bf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3677bc7de5388e8dc9ea72f15ea846bf">&#9670;&nbsp;</a></span>acsdkDebug1()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::avsCommon::utils::logger::acsdkDebug1 </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">LogEntry</a> &amp;&#160;</td>
          <td class="paramname"><em>entry</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Log a <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a4707ccb25a60922c47a5d8ee257b85e6a4a22284361f9f7c522f0c0fcca9a1d04" title="Intermediate debug log level. Compiled out when ACSDK_DEBUG_LOG_ENABLED is not defined. ">LEVEL::DEBUG1</a> severity entry.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">entry</td><td>A log entry. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a770a62935e8cb27de9f3b83c80fd12e0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a770a62935e8cb27de9f3b83c80fd12e0">&#9670;&nbsp;</a></span>acsdkDebug2()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::avsCommon::utils::logger::acsdkDebug2 </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">LogEntry</a> &amp;&#160;</td>
          <td class="paramname"><em>entry</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Log a <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a4707ccb25a60922c47a5d8ee257b85e6a75c530df858253db4ee51268b47c875d" title="Intermediate debug log level. Compiled out when ACSDK_DEBUG_LOG_ENABLED is not defined. ">LEVEL::DEBUG2</a> severity entry.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">entry</td><td>A log entry. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="aaffe8a89f725669c2a35a30db4ab3ac5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaffe8a89f725669c2a35a30db4ab3ac5">&#9670;&nbsp;</a></span>acsdkDebug3()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::avsCommon::utils::logger::acsdkDebug3 </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">LogEntry</a> &amp;&#160;</td>
          <td class="paramname"><em>entry</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Log a <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a4707ccb25a60922c47a5d8ee257b85e6af1c09add474f7ab70a36e7a9570b148b" title="Intermediate debug log level. Compiled out when ACSDK_DEBUG_LOG_ENABLED is not defined. ">LEVEL::DEBUG3</a> severity entry.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">entry</td><td>A log entry. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a7b4d4a2c320ebaaa0db09be5d036fb1c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7b4d4a2c320ebaaa0db09be5d036fb1c">&#9670;&nbsp;</a></span>acsdkDebug4()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::avsCommon::utils::logger::acsdkDebug4 </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">LogEntry</a> &amp;&#160;</td>
          <td class="paramname"><em>entry</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Log a <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a4707ccb25a60922c47a5d8ee257b85e6ad49737ac772ff453f1340643d60ab904" title="Intermediate debug log level. Compiled out when ACSDK_DEBUG_LOG_ENABLED is not defined. ">LEVEL::DEBUG4</a> severity entry.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">entry</td><td>A log entry. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a86b4eb37d5ac51f4627b8ff58e43c905"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a86b4eb37d5ac51f4627b8ff58e43c905">&#9670;&nbsp;</a></span>acsdkDebug5()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::avsCommon::utils::logger::acsdkDebug5 </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">LogEntry</a> &amp;&#160;</td>
          <td class="paramname"><em>entry</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Log a <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a4707ccb25a60922c47a5d8ee257b85e6a13c48142f1c3c8018a853f8e798174d0" title="Intermediate debug log level. Compiled out when ACSDK_DEBUG_LOG_ENABLED is not defined. ">LEVEL::DEBUG5</a> severity entry.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">entry</td><td>A log entry. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a3250f525c7a122af099939b4847254aa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3250f525c7a122af099939b4847254aa">&#9670;&nbsp;</a></span>acsdkDebug6()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::avsCommon::utils::logger::acsdkDebug6 </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">LogEntry</a> &amp;&#160;</td>
          <td class="paramname"><em>entry</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Log a <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a4707ccb25a60922c47a5d8ee257b85e6acefa9be37ed6c873dc6c07e0fe31067d" title="Intermediate debug log level. Compiled out when ACSDK_DEBUG_LOG_ENABLED is not defined. ">LEVEL::DEBUG6</a> severity entry.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">entry</td><td>A log entry. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a540973d2fb23d4842a2907db342a88f1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a540973d2fb23d4842a2907db342a88f1">&#9670;&nbsp;</a></span>acsdkDebug7()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::avsCommon::utils::logger::acsdkDebug7 </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">LogEntry</a> &amp;&#160;</td>
          <td class="paramname"><em>entry</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Log a <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a4707ccb25a60922c47a5d8ee257b85e6a45c5db4c0d35e851fe082b50d5893953" title="Intermediate debug log level. Compiled out when ACSDK_DEBUG_LOG_ENABLED is not defined. ">LEVEL::DEBUG7</a> severity entry.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">entry</td><td>A log entry. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a3d1d4c950f2579bbd1ece4018b799591"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3d1d4c950f2579bbd1ece4018b799591">&#9670;&nbsp;</a></span>acsdkDebug8()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::avsCommon::utils::logger::acsdkDebug8 </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">LogEntry</a> &amp;&#160;</td>
          <td class="paramname"><em>entry</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Log a <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a4707ccb25a60922c47a5d8ee257b85e6a3ebb24d8c4005bb27635ac0cbe10c6c3" title="Intermediate debug log level. Compiled out when ACSDK_DEBUG_LOG_ENABLED is not defined. ">LEVEL::DEBUG8</a> severity entry.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">entry</td><td>A log entry. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a73898128718e3f94ebc23442131c3491"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a73898128718e3f94ebc23442131c3491">&#9670;&nbsp;</a></span>acsdkDebug9()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::avsCommon::utils::logger::acsdkDebug9 </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">LogEntry</a> &amp;&#160;</td>
          <td class="paramname"><em>entry</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Log a <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a4707ccb25a60922c47a5d8ee257b85e6a8837dd9cc8da1659a1e8501909756e51" title="Most verbose debug log level. Compiled out when ACSDK_DEBUG_LOG_ENABLED is not defined. ">LEVEL::DEBUG9</a> severity entry.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">entry</td><td>A log entry. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a2a506c9c75542fad6d29643e3e3cf55d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2a506c9c75542fad6d29643e3e3cf55d">&#9670;&nbsp;</a></span>acsdkError()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::avsCommon::utils::logger::acsdkError </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">LogEntry</a> &amp;&#160;</td>
          <td class="paramname"><em>entry</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Log a <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a4707ccb25a60922c47a5d8ee257b85e6abb1ca97ec761fc37101737ba0aa2e7c5" title="Log of an event that indicates an error. ">Level::ERROR</a> severity entry.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">entry</td><td>A log entry. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="aaa53594353007d683130cc7f81598378"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaa53594353007d683130cc7f81598378">&#9670;&nbsp;</a></span>acsdkInfo()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::avsCommon::utils::logger::acsdkInfo </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">LogEntry</a> &amp;&#160;</td>
          <td class="paramname"><em>entry</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Log a <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a4707ccb25a60922c47a5d8ee257b85e6a551b723eafd6a31d444fcb2f5920fbd3" title="Logs of normal operations, to be used in release builds. ">Level::INFO</a> severity entry.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">entry</td><td>A log entry. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="aee1d479f8ea734cc62d98306993ccf8a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aee1d479f8ea734cc62d98306993ccf8a">&#9670;&nbsp;</a></span>acsdkWarn()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::avsCommon::utils::logger::acsdkWarn </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">LogEntry</a> &amp;&#160;</td>
          <td class="paramname"><em>entry</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Log a <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a4707ccb25a60922c47a5d8ee257b85e6a32bd8a1db2275458673903bdb84cb277" title="Log of an event that may indicate a problem. ">Level::WARN</a> severity entry.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">entry</td><td>A log entry. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="aa79070c5f17a01b878ef1c61b5a71476"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa79070c5f17a01b878ef1c61b5a71476">&#9670;&nbsp;</a></span>convertLevelToChar()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char alexaClientSDK::avsCommon::utils::logger::convertLevelToChar </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a4707ccb25a60922c47a5d8ee257b85e6">Level</a>&#160;</td>
          <td class="paramname"><em>level</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Get a character corresponding to a Level value. The characters returned are unique per log level and are intended to be used to minimize the space taken up by the level specifier in log lines. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">level</td><td>The Level for which to get the corresponding character. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The character corresponding to the level. If the <code>level</code> is not recognized, returns 'U'. </dd></dl>

</div>
</div>
<a id="a006fc7a551ca7b09270b5d3f34c7f1cc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a006fc7a551ca7b09270b5d3f34c7f1cc">&#9670;&nbsp;</a></span>convertLevelToName()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string alexaClientSDK::avsCommon::utils::logger::convertLevelToName </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a4707ccb25a60922c47a5d8ee257b85e6">Level</a>&#160;</td>
          <td class="paramname"><em>level</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Get the name of a Level value. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">level</td><td>The Level to get the name of. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Returns the name of the Level. If the level is not recognized, returns "UNKNOWN". </dd></dl>

</div>
</div>
<a id="a03c8a4abd0a4df30eb75029788eda840"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a03c8a4abd0a4df30eb75029788eda840">&#9670;&nbsp;</a></span>convertNameToLevel()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a4707ccb25a60922c47a5d8ee257b85e6">Level</a> alexaClientSDK::avsCommon::utils::logger::convertNameToLevel </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Get the Level corresponding to a Level name. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">name</td><td>The name corresponding to the desired Level value. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The <code>Level</code> corresponding to the specified name. If the <code>name</code> is not recognized, returns <code><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a4707ccb25a60922c47a5d8ee257b85e6a696b031073e74bf2cb98e5ef201d4aa3" title="An unknown severity level. ">Level::UNKNOWN</a></code>. </dd></dl>

</div>
</div>
<a id="a07622bd1de5d084d735c32e22e8d3553"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a07622bd1de5d084d735c32e22e8d3553">&#9670;&nbsp;</a></span>dumpBytesToStream()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::avsCommon::utils::logger::dumpBytesToStream </td>
          <td>(</td>
          <td class="paramtype">std::ostream &amp;&#160;</td>
          <td class="paramname"><em>stream</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>prefix</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>width</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const unsigned char *&#160;</td>
          <td class="paramname"><em>data</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>size</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Stream out an array of bytes as a hex dump.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">stream</td><td>The stream to render to. </td></tr>
    <tr><td class="paramname">prefix</td><td>A prefix added to each row. </td></tr>
    <tr><td class="paramname">width</td><td>The number of bytes to output per row. </td></tr>
    <tr><td class="paramname">data</td><td>The bytes to render. </td></tr>
    <tr><td class="paramname">size</td><td>The number of bytes to render. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="af34f56d312bbcf854b8ef8d86e6fda4c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af34f56d312bbcf854b8ef8d86e6fda4c">&#9670;&nbsp;</a></span>g_nextThreadMoniker()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static std::atomic&lt;int&gt; alexaClientSDK::avsCommon::utils::logger::g_nextThreadMoniker </td>
          <td>(</td>
          <td class="paramtype">1&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Counter to generate (small) unique thread monikers. </p>

</div>
</div>
<a id="a933554cee22d9ea1d94efd3d865a599e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a933554cee22d9ea1d94efd3d865a599e">&#9670;&nbsp;</a></span>getConsoleLogger()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger.html">Logger</a> &gt; alexaClientSDK::avsCommon::utils::logger::getConsoleLogger </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Return the singleton instance of <code><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_console_logger.html">ConsoleLogger</a></code>.</p>
<dl class="section return"><dt>Returns</dt><dd>The singleton instance of <code><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_console_logger.html">ConsoleLogger</a></code>. </dd></dl>

</div>
</div>
<a id="aff8a06435a2e9298a076bf10edbe34e2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aff8a06435a2e9298a076bf10edbe34e2">&#9670;&nbsp;</a></span>getLoggerTestLogger()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger.html">Logger</a>&gt; alexaClientSDK::avsCommon::utils::logger::getLoggerTestLogger </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Function for ACSDK_* macros to use to get the <code><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger.html">Logger</a></code> to use. </p><dl class="section return"><dt>Returns</dt><dd>The <code><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger.html">Logger</a></code> to use. </dd></dl>

</div>
</div>
<a id="a16a7d59de6eaa9fd4b9a7d8633249e8d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a16a7d59de6eaa9fd4b9a7d8633249e8d">&#9670;&nbsp;</a></span>logEntry()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::avsCommon::utils::logger::logEntry </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a4707ccb25a60922c47a5d8ee257b85e6">Level</a>&#160;</td>
          <td class="paramname"><em>level</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">LogEntry</a> &amp;&#160;</td>
          <td class="paramname"><em>entry</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Logs an entry at a severity level using the logger instance defined by ACSDK_GET_LOGGER_FUNCTION (refer to <a class="el" href="_logger_8h.html">Logger.h</a>).</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">level</td><td>The severity level of the log. </td></tr>
    <tr><td class="paramname">entry</td><td>A log entry. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="aad0674cce8aff8a1a5ee6f7cfebbbd5c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aad0674cce8aff8a1a5ee6f7cfebbbd5c">&#9670;&nbsp;</a></span>operator&lt;&lt;()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::ostream&amp; alexaClientSDK::avsCommon::utils::logger::operator&lt;&lt; </td>
          <td>(</td>
          <td class="paramtype">std::ostream &amp;&#160;</td>
          <td class="paramname"><em>stream</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a4707ccb25a60922c47a5d8ee257b85e6">Level</a>&#160;</td>
          <td class="paramname"><em>level</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Write a log severity <code>Level</code> value to an <code>ostream</code> as a string.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">stream</td><td>The stream to write the value to. </td></tr>
    <tr><td class="paramname">level</td><td>The <code>Level</code> value to write to the <code>ostream</code> as a string. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The <code>ostream</code> that was passed in and written to. </dd></dl>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a8ce46f7e3d75d191807a3ef76b75dabe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8ce46f7e3d75d191807a3ef76b75dabe">&#9670;&nbsp;</a></span>AT_EXIT_THREAD_ID</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">constexpr auto alexaClientSDK::avsCommon::utils::logger::AT_EXIT_THREAD_ID = &quot;0&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a9f4cd8188daa390e20b97a9bbd220073"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9f4cd8188daa390e20b97a9bbd220073">&#9670;&nbsp;</a></span>BOOL_FALSE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::avsCommon::utils::logger::BOOL_FALSE = &quot;false&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>String for boolean FALSE. </p>

</div>
</div>
<a id="a8e76750e3e32e24bce7337d8586f6b35"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8e76750e3e32e24bce7337d8586f6b35">&#9670;&nbsp;</a></span>BOOL_TRUE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::avsCommon::utils::logger::BOOL_TRUE = &quot;true&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>String for boolean TRUE. </p>

</div>
</div>
<a id="aa29b8f5b119099369b2bed7dbb77c0a3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa29b8f5b119099369b2bed7dbb77c0a3">&#9670;&nbsp;</a></span>CONFIG_KEY_DEFAULT_LOGGER</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::avsCommon::utils::logger::CONFIG_KEY_DEFAULT_LOGGER = &quot;consoleLogger&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Configuration key for DefaultLogger settings. </p>

</div>
</div>
<a id="a78f4d400ff0ba6033040752e194db761"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a78f4d400ff0ba6033040752e194db761">&#9670;&nbsp;</a></span>CONFIG_KEY_LOG_LEVEL</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::avsCommon::utils::logger::CONFIG_KEY_LOG_LEVEL = &quot;logLevel&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Configuration key for "logLevel" values under "logger" and other per-module objects. </p>

</div>
</div>
<a id="abc409c47d7609b63fafb111e728a72e8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abc409c47d7609b63fafb111e728a72e8">&#9670;&nbsp;</a></span>CONFIG_KEY_LOGGER</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::avsCommon::utils::logger::CONFIG_KEY_LOGGER = &quot;logger&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Configuration key for root level "logger" object. </p>

</div>
</div>
<a id="a21947a2f48ca7f66d7412c1ebd93c7af"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a21947a2f48ca7f66d7412c1ebd93c7af">&#9670;&nbsp;</a></span>DATE_AND_TIME_STRING_SIZE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const int alexaClientSDK::avsCommon::utils::logger::DATE_AND_TIME_STRING_SIZE = 20</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Size of buffer needed to hold "YYYY-MM-DD HH:MM:SS" and a null terminator. </p>

</div>
</div>
<a id="aad3da4366cc0a2dca918c9cec158827f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aad3da4366cc0a2dca918c9cec158827f">&#9670;&nbsp;</a></span>ESCAPED_KEY_VALUE_SEPARATOR</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::avsCommon::utils::logger::ESCAPED_KEY_VALUE_SEPARATOR = R&quot;(\=)&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Escape sequence for '='. </p>

</div>
</div>
<a id="a9721e2fd9d419336a1d7566ca4b25137"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9721e2fd9d419336a1d7566ca4b25137">&#9670;&nbsp;</a></span>ESCAPED_METADATA_ESCAPE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::avsCommon::utils::logger::ESCAPED_METADATA_ESCAPE = R&quot;(\\)&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Escape sequence for ''. </p>

</div>
</div>
<a id="aeb74d69e1c8e0825b4bf67fef283c29b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeb74d69e1c8e0825b4bf67fef283c29b">&#9670;&nbsp;</a></span>ESCAPED_PAIR_SEPARATOR</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::avsCommon::utils::logger::ESCAPED_PAIR_SEPARATOR = R&quot;(\,)&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Escape sequence for ','. </p>

</div>
</div>
<a id="a44ab6b747e781f59fc7190577622ed80"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a44ab6b747e781f59fc7190577622ed80">&#9670;&nbsp;</a></span>ESCAPED_SECTION_SEPARATOR</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::avsCommon::utils::logger::ESCAPED_SECTION_SEPARATOR = R&quot;(\:)&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Escape sequence for ':'. </p>

</div>
</div>
<a id="a26bab62dbf76d7c47eac3c67633d1837"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a26bab62dbf76d7c47eac3c67633d1837">&#9670;&nbsp;</a></span>LEVEL_AND_TEXT_SEPARATOR</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const char alexaClientSDK::avsCommon::utils::logger::LEVEL_AND_TEXT_SEPARATOR = ' '</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Separator between level indicator and text in log lines. </p>

</div>
</div>
<a id="ace3940d4518256e01b33616572de22c6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ace3940d4518256e01b33616572de22c6">&#9670;&nbsp;</a></span>METADATA_ESCAPE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const char alexaClientSDK::avsCommon::utils::logger::METADATA_ESCAPE = '\\'</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Reserved in metadata sequences for escaping other reserved values. </p>

</div>
</div>
<a id="a5e7aa891e6be9030572abfc59c3066a8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5e7aa891e6be9030572abfc59c3066a8">&#9670;&nbsp;</a></span>MILLIS_AND_THREAD_SEPARATOR</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::avsCommon::utils::logger::MILLIS_AND_THREAD_SEPARATOR = &quot; [&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Separator string between milliseconds value and ExampleLogger name. </p>

</div>
</div>
<a id="adfb50ea4a64a6f2f90f3d5b861e8ec9a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adfb50ea4a64a6f2f90f3d5b861e8ec9a">&#9670;&nbsp;</a></span>MILLIS_FORMAT_STRING</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const char* alexaClientSDK::avsCommon::utils::logger::MILLIS_FORMAT_STRING = &quot;%03d&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ac260a9d46f3d659216636bc10502d279"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac260a9d46f3d659216636bc10502d279">&#9670;&nbsp;</a></span>MILLIS_STRING_SIZE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const int alexaClientSDK::avsCommon::utils::logger::MILLIS_STRING_SIZE = 4</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Size of buffer needed to hold "nnn" (milliseconds value) and a null terminator. </p>

</div>
</div>
<a id="aa8e497f6154a61ab043a3f45ba52664c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa8e497f6154a61ab043a3f45ba52664c">&#9670;&nbsp;</a></span>MILLISECONDS_PER_SECOND</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const int alexaClientSDK::avsCommon::utils::logger::MILLISECONDS_PER_SECOND = 1000</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Number of milliseconds per second. </p>

</div>
</div>
<a id="a9e85ce218ae5d908737f346c20736495"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9e85ce218ae5d908737f346c20736495">&#9670;&nbsp;</a></span>PAIR_SEPARATOR</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const char alexaClientSDK::avsCommon::utils::logger::PAIR_SEPARATOR = ','</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Reserved in metadata sequences to separate key,value pairs. </p>

</div>
</div>
<a id="a9426f0400ec1550d40bd48d79d37aa98"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9426f0400ec1550d40bd48d79d37aa98">&#9670;&nbsp;</a></span>RESERVED_METADATA_CHARS</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const char* alexaClientSDK::avsCommon::utils::logger::RESERVED_METADATA_CHARS = R&quot;(\,=:)&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>List of characters we need to escape. </p>

</div>
</div>
<a id="a223cc849b1341138258c864141f80917"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a223cc849b1341138258c864141f80917">&#9670;&nbsp;</a></span>SECTION_SEPARATOR</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const char alexaClientSDK::avsCommon::utils::logger::SECTION_SEPARATOR = ':'</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Reserved in metadata sequences to separate them from a preceding event and an optional terminal message. </p>

</div>
</div>
<a id="a8ccb96589a77487e6befd8debd01761f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8ccb96589a77487e6befd8debd01761f">&#9670;&nbsp;</a></span>STRFTIME_FORMAT_STRING</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const char* alexaClientSDK::avsCommon::utils::logger::STRFTIME_FORMAT_STRING = &quot;%Y-%m-%d %H:%M:%S&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Format string for strftime() to produce date and time in the format "YYYY-MM-DD HH:MM:SS". </p>

</div>
</div>
<a id="a86721a09a7c917fd5df2e62abec24b3f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a86721a09a7c917fd5df2e62abec24b3f">&#9670;&nbsp;</a></span>THREAD_AND_LEVEL_SEPARATOR</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::avsCommon::utils::logger::THREAD_AND_LEVEL_SEPARATOR = &quot;] &quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Separator between thread ID and level indicator in log lines. </p>

</div>
</div>
<a id="a9c6335f77506eca3a58e6c08af63b524"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9c6335f77506eca3a58e6c08af63b524">&#9670;&nbsp;</a></span>TIME_AND_MILLIS_SEPARATOR</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const char alexaClientSDK::avsCommon::utils::logger::TIME_AND_MILLIS_SEPARATOR = '.'</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Separator between date/time and millis. </p>

</div>
</div>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
